Subject: Re: linux-next: manual merge of the selinux tree with the vfs tree

From: Al Viro <[email-masked]>
Date: Fri, 30 Nov 2018 01:36:49 +0000

On Fri, Nov 30, 2018 at 01:27:07AM +0000, Al Viro wrote:

> And then there's sb_mount, with 3 instances and arseloads of
> races in 2 out of 3.

PS: the 3rd one (in selinux) is, AFAICS, TOCTOU-free, because
it ignores everything except the mountpoint, which is already
looked up by the caller.  No idea what any out-of-tree ones do,
of course, but judging by the in-tree sample...